Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570501 - [abrt] gnome-shell: meta_gpu_kms_new(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_gpu_kms_new(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed98d30fa3ee3e60274287408e3...
: 1579594 1596547 1631931 1636771 1637734 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 06:05 UTC by roel.lerma
Modified: 2019-05-28 22:53 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:53:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.65 KB, text/plain)
2018-04-23 06:05 UTC, roel.lerma
no flags Details
File: cgroup (327 bytes, text/plain)
2018-04-23 06:05 UTC, roel.lerma
no flags Details
File: core_backtrace (10.83 KB, text/plain)
2018-04-23 06:05 UTC, roel.lerma
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-04-23 06:05 UTC, roel.lerma
no flags Details
File: dso_list (13.38 KB, text/plain)
2018-04-23 06:05 UTC, roel.lerma
no flags Details
File: environ (1016 bytes, text/plain)
2018-04-23 06:05 UTC, roel.lerma
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-23 06:06 UTC, roel.lerma
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-23 06:06 UTC, roel.lerma
no flags Details
File: maps (63.14 KB, text/plain)
2018-04-23 06:06 UTC, roel.lerma
no flags Details
File: mountinfo (3.79 KB, text/plain)
2018-04-23 06:06 UTC, roel.lerma
no flags Details
File: open_fds (820 bytes, text/plain)
2018-04-23 06:06 UTC, roel.lerma
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2018-04-23 06:06 UTC, roel.lerma
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab https://gitlab.gnome.org/GNOME mutter issues 223 0 None None None 2018-10-03 15:51:03 UTC

Description roel.lerma 2018-04-23 06:05:49 UTC
Version-Release number of selected component:
gnome-shell-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=7fa61e18ec93475b8e248f665bb36eb9;i=16186;b=f4ea43116bcd47c6a27fb6860223dc37;m=d3d86254;t=56a39f3f3ecff;x=a1aa4a8dfbbaf617
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 meta_gpu_kms_new at backends/native/meta-gpu-kms.c:800
 #1 meta_monitor_manager_kms_initable_init at backends/native/meta-monitor-manager-kms.c:662
 #2 g_initable_new_valist at ginitable.c:248
 #3 g_initable_new at ginitable.c:162
 #4 meta_backend_create_monitor_manager at backends/meta-backend-private.h:52
 #5 meta_backend_initable_init at backends/meta-backend.c:610
 #6 meta_init_backend at backends/meta-backend.c:1017
 #7 meta_init at core/main.c:583

Comment 1 roel.lerma 2018-04-23 06:05:54 UTC
Created attachment 1425531 [details]
File: backtrace

Comment 2 roel.lerma 2018-04-23 06:05:55 UTC
Created attachment 1425532 [details]
File: cgroup

Comment 3 roel.lerma 2018-04-23 06:05:56 UTC
Created attachment 1425533 [details]
File: core_backtrace

Comment 4 roel.lerma 2018-04-23 06:05:57 UTC
Created attachment 1425534 [details]
File: cpuinfo

Comment 5 roel.lerma 2018-04-23 06:05:58 UTC
Created attachment 1425535 [details]
File: dso_list

Comment 6 roel.lerma 2018-04-23 06:05:59 UTC
Created attachment 1425536 [details]
File: environ

Comment 7 roel.lerma 2018-04-23 06:06:00 UTC
Created attachment 1425537 [details]
File: exploitable

Comment 8 roel.lerma 2018-04-23 06:06:01 UTC
Created attachment 1425538 [details]
File: limits

Comment 9 roel.lerma 2018-04-23 06:06:02 UTC
Created attachment 1425539 [details]
File: maps

Comment 10 roel.lerma 2018-04-23 06:06:03 UTC
Created attachment 1425540 [details]
File: mountinfo

Comment 11 roel.lerma 2018-04-23 06:06:04 UTC
Created attachment 1425541 [details]
File: open_fds

Comment 12 roel.lerma 2018-04-23 06:06:05 UTC
Created attachment 1425542 [details]
File: proc_pid_status

Comment 13 Fujiwara Iruka 2018-05-18 01:31:06 UTC
*** Bug 1579594 has been marked as a duplicate of this bug. ***

Comment 14 Louis van Dyk 2018-05-21 09:25:16 UTC
Similar problem has been detected:

PC froze - suspect OOM condition occurred.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=e6c979bfcd9047f0b1abade29e0c7ce2;i=9d3;b=9bb0d975b897432a87ef435ff5998521;m=25e02fb;t=56cb30cfe8bcb;x=fc7060a2d0f385d1
kernel:         4.16.8-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            42

Comment 15 Patrick Horgan 2018-05-26 01:57:11 UTC
Similar problem has been detected:

Started the machine and logged in. Never got logged in all the way

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=19789d0cdf6f4430b9b23be41c242f3d;i=247c;b=6fc91c74e1a2436c837bd149a96c3ab7;m=5f2db6;t=56d11e702a1db;x=1c4ebaa2e2ec0a1e
kernel:         4.16.11-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            42

Comment 16 James McDermott 2018-06-05 14:03:27 UTC
Similar problem has been detected:

Installed nvidia driver 390.67 for gtx 1060.

Every reboot I recieve this error.  

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=0be543cda8214881b043801caaa3cb8f;i=31e03;b=a0625b2cf8f4434d8214a535931bbfeb;m=777632;t=56de55bdccd91;x=961299b9ba7f75e5
kernel:         4.16.13-300.fc28.x86_64
package:        gnome-shell-3.28.2-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 18 patrick.guio 2018-06-29 08:37:25 UTC
*** Bug 1596547 has been marked as a duplicate of this bug. ***

Comment 19 Marco Malva 2018-07-23 21:21:39 UTC
Similar problem has been detected:

problem happened during reboot and seems to only happened since I updated my system.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=87cbcd36195a4449a379bed03ac80912;i=7f84;b=830222d133b94cb6bf587ed5299366ec;m=9349fe;t=571b0e86d4b88;x=466559c7abd9c910
kernel:         4.17.7-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 20 Matthias Andree 2018-08-12 21:09:24 UTC
Similar problem has been detected:

this appeared after a new boot

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=27ccc0bc17534b9ba33b3b9447849f96;i=11ade;b=3dfce1461c5e40419f9607e0e82bed0e;m=5c0ddc6;t=5734335739afd;x=8edd54ba37689925
kernel:         4.17.12-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            42

Comment 21 Matthias Andree 2018-09-07 19:36:16 UTC
Similar problem has been detected:

found a blank screen when returning to the computer after a few hours, with the keyboard frozen. Not sure if the gnome-shell crash was related to this.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=f9d329fa7b914726bb989644f439cb6a;i=c3a;b=a62a3c42f6324b51965babd7631439c1;m=2303b2ed;t=57458efa7a7ec;x=399f56b250662dca
kernel:         4.17.14-202.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            42

Comment 22 Dimitri Belopopsky 2018-09-13 07:32:23 UTC
Similar problem has been detected:

This happened either during boot or at login.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=c4064e4dd7764859815948cc49915001;i=457e7;b=846bb9da3faa481d887438a68ee71d66;m=d09aaf;t=575bb97b83ac0;x=75b40b2885da36b9
kernel:         4.18.5-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000

Comment 23 revoman 2018-09-22 04:20:27 UTC
*** Bug 1631931 has been marked as a duplicate of this bug. ***

Comment 24 bloigustop 2018-09-22 06:02:55 UTC
Similar problem has been detected:

There was nothing specific leading to this crash. The whole system just froze all of a sudden, and killing gnome-shell didn't help.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=020f33f4c3f2400f9ce44e40cfaca019;i=18ffc;b=e3fc3b90cd6d4bf6ac8dad254aa81a99;m=1b02f61;t=575418f404e30;x=9df716ad7f8526e8
kernel:         4.17.19-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 25 Antonio 2018-10-07 15:02:03 UTC
*** Bug 1636771 has been marked as a duplicate of this bug. ***

Comment 26 Jeremy 2018-10-09 21:58:23 UTC
*** Bug 1637734 has been marked as a duplicate of this bug. ***

Comment 27 bill.zannoni 2018-10-10 06:50:29 UTC
Similar problem has been detected:

This poroblem is there every time I boot Fedora, already when the desktop environemtn appear.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=c75d5e6266714a1b871e3081e1337bbb;i=2ec5bc;b=d8a39a4f45c14a4589ba7830f3002f6a;m=b23a29;t=577da2ce8ed41;x=3f2567fb61b397ef
kernel:         4.18.12-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 28 Paul Borchardt 2018-10-14 04:03:55 UTC
Similar problem has been detected:

I am not sure this is the problem that occured because it refers to the Gnome shell.  Running the Cinnamon desktop, if you attempt to run a desklet or applet on the desktop or in the panel, Cinnamon crashes and will not recover.

I was able to reproduce it three times.  My fix was a fresh install since I had just installed anyway so I know it will happen in that condition.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_gpu_kms_new
executable:     /usr/bin/gnome-shell
journald_cursor: s=8999565f72fb40299d761bfbcb88aebf;i=11a04;b=1f8bb798b25448cb89352e58e8de82c9;m=20898c1;t=578281ca95962;x=19d77c6297313e88
kernel:         4.18.12-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Comment 29 Ben Cotton 2019-05-02 19:23:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 30 Ben Cotton 2019-05-02 20:39:54 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 31 Ben Cotton 2019-05-28 22:53:31 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.